# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/6/27
import datetime
import os
import sys
import time

sys.path.append(os.getcwd())
from crawler_monitor.main.common import Common
from crawler_monitor.main.update_kanyikan import UpdateKanYiKan


class Main:
    @classmethod
    def main(cls):
        while True:
            today = Common.today
            Common.logger("kanyikan").info("today:{}", today)
            while True:
                main_time = datetime.datetime.now()
                if main_time.hour == 1:
                    start_time = time.time()
                    UpdateKanYiKan.check_data(today)
                    UpdateKanYiKan.update_play_cnt()
                    end_time = time.time()
                    Common.del_logs("kanyikan")
                    Common.del_charles_files()
                    Common.logger("kanyikan").info("全部更新完成，共耗时:{}秒\n", int(end_time-start_time))
                    time.sleep(3600)
                    break
                else:
                    pass


if __name__ == "__main__":
    main = Main()
    main.main()
